Bug 1912421

Summary: [RFE] noobaa cli allow the creation of BackingStores with already existing secrets
Product: [Red Hat Storage] Red Hat OpenShift Container Storage Reporter: Martin Bukatovic <mbukatov>
Component: Multi-Cloud Object GatewayAssignee: Romy Ayalon <rayalon>
Status: CLOSED ERRATA QA Contact: aberner
Severity: low Docs Contact:
Priority: low    
Version: 4.5CC: dwalveka, dzaken, ebenahar, etamir, muagarwa, nbecker, ocs-bugs, rayalon
Target Milestone: ---Keywords: FutureFeature
Target Release: OCS 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: v4.7.0-249.ci Doc Type: Enhancement
Doc Text:
.Use an existing secret to create a new backingstore With this enhancement, a new backing store can be created through the Multicloud Object Gateway CLI using an existing secret.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-05-19 09:17:18 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1874367, 1938134    

Description Martin Bukatovic 2021-01-04 12:19:03 UTC
Description of problem
======================

When one tries to create GCP backing store via noobaa cli, it doesn't allow
one to specify a secret created beforehand.

Based on previous discussing with Nimrod under bz 1873646, and later Bipul.

Version-Release number of selected component
============================================

OCP: 4.5.0-0.ci-2020-08-28-093348
OCS: 4.5.0-543.ci

How reproducible
================

1/1

Steps to Reproduce
==================

1. Install OCP/OCS cluster
2. Install noobaa cli and configure it's access to OCS cluster
3. Try to create GCP backingstore using already existing k8s secret

Actual results
==============

NooBaa CLI Command `backingstore create` for GCP doesn't provide a way to
specify already existing secret:

```

$ noobaa backingstore create google-cloud-storage -h
Create google-cloud-storage backing store

Options:
      --private-key-json-file='': private-key-json-file is the path to the json file provided by google for service
account authentication
      --target-bucket='': The target bucket name on Google cloud storage

Usage:
  noobaa backingstore create google-cloud-storage <backing-store-name> [flags] [options]

Use "noobaa options" for a list of global command-line options (applies to all commands).
```

Expected results
================

It's possible to specify GCP credentials via k8s secret when creating GCP
backing store.

Comment 5 aberner 2021-02-04 10:37:42 UTC
OCP: 4.7.0-0.nightly-2021-02-03-225958
OCS: ocs-operator.v4.7.0-250.ci

Comment 11 errata-xmlrpc 2021-05-19 09:17:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat OpenShift Container Storage 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2041